Summary:	A clone of the famous 8bit Atari game Robbo
Summary(pl.UTF-8):	Klon słynnej gry Robbo znanej z 8-bitowych Atari
Name:		gnurobbo
Version:	0.68
Release:	1
License:	GPL v2+
Group:		X11/Applications/Games
Source0:	https://downloads.sourceforge.net/gnurobbo/%{name}-%{version}-source.tar.gz
# Source0-md5:	7d1f194a67dcc66c6c88ae1037db4a50
Source1:	%{name}.desktop
Patch0:		%{name}-flags.patch
Patch1:		%{name}-format.patch
URL:		https://gnurobbo.sourceforge.net/
BuildRequires:	SDL_image-devel
BuildRequires:	SDL_mixer-devel
BuildRequires:	SDL_ttf-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GNU Robbo is very addictive logic game. You must help little robot to
get out of unfriendly planet, collecting parts of emergency capsule.

%description -l pl.UTF-8
GNU Robbo jest bardzo uzależniającą grą logiczną. Należy pomóc małemu
robotowi uciec z nieprzyjaznych planet zbierając części kapsuły
ratunkowej.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__make} -C gnurobbo \
	CC="%{__cc}" \
	OPTFLAGS="%{rpmcflags} -fcommon" \
	LDFLAGS="%{rpmldflags}" \
	PACKAGE_DATA_DIR=%{_datadir}/%{name}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir}}

%{__make} -C gnurobbo install \
	PACKAGE_DATA_DIR=$RPM_BUILD_ROOT%{_datadir}/%{name} \
	BINDIR=$RPM_BUILD_ROOT%{_bindir} \
	DOCDIR=data

cp -pr gnurobbo/data/skins/tronic $RPM_BUILD_ROOT%{_datadir}/%{name}/skins
cp -pr gnurobbo/data/locales $RPM_BUILD_ROOT%{_datadir}/%{name}

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
install gnurobbo/icon32.png $RPM_BUILD_ROOT%{_pixmapsdir}/%{name}.png

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc gnurobbo/{AUTHORS,Bugs,ChangeLog,NEWS,README,TODO}
%attr(755,root,root) %{_bindir}/gnurobbo
%{_datadir}/%{name}
%{_desktopdir}/gnurobbo.desktop
%{_pixmapsdir}/gnurobbo.png
%changelog
* Sat Sep 23 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gnurobbo.git;a=log;h=master

* Sat Sep 23 2023 Jakub Bogusz <qboosh@pld-linux.org> fc00dd5
- updated to 0.68; added format patch

* Mon Nov 15 2010 lisu <lisu@pld-linux.org> d110f2b
- adjusted for 0.66
- add -lm to LIBS

* Mon Nov 15 2010 lisu <lisu@pld-linux.org> 31f3b1c
- up to 0.66
- link with -lm

* Thu Feb 18 2010 sparky <sparky@pld-linux.org> 00f6262
- dropped unused BR: autoconf, automake, libtool (package does not even have
  configure script)

* Wed Feb 17 2010 lisu <lisu@pld-linux.org> 1b6079c
- pass our CFLAGS as OPTFLAGS and pass LDFLAGS also

* Wed Feb 17 2010 lisu <lisu@pld-linux.org> 2890525
- pass our CFLAGS and LDFLAGS too (-flags.patch)

* Wed Feb 17 2010 lisu <lisu@pld-linux.org> 64f0d71
- up to 0.65.6
- GPL v2+ license

* Fri Dec 11 2009 sparky <sparky@pld-linux.org> 9aca562
- BR: SDL_image-devel, SDL_mixer-devel

* Fri Dec 11 2009 Jacek Konieczny <jajcus@pld-linux.org> 7712049
- force distfiles upload

* Fri Dec 11 2009 Jacek Konieczny <jajcus@pld-linux.org> c26bcf8
- Version: 0.64

* Mon Mar 30 2009 Jakub Bogusz <qboosh@pld-linux.org> 5c68365
- outdated

* Sat Feb 28 2009 wolf <wolf@pld-linux.org> ad2137c
- 0.60

* Wed Dec 26 2007 blekot <blekot@pld-linux.org> 399b1a6
- massive change ( validate errors warrings from desktop-file-validate)
  - sed -i 's,Encoding=UTF-8,,g' *.desktop
  - sed -i "s,.png,,1" `grep -l 'Icon=[^/].*\.png' *.desktop`
  - sed -i "s,MimeType=.*,\0;,g" `grep "MimeType.*semicolon" validate |awk '{print $1}' |tr ":" " "`
  - sed -i 's,MapNotify=.*,,g' *.desktop
  - sed -i '/^$/d' *.desktop
- not all error/warrings validated

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> c3aaca9
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 39c79c2
- converted to UTF-8

* Tue Nov 07 2006 Elan Ruusamäe <glen@pld-linux.org> f5c11e7
- do not list %{_desktopdir}/* -- dangerous, could list directories unexpectedly

* Tue Oct 17 2006 Jakub Bogusz <qboosh@pld-linux.org> 26fadb2
- dropped /usr/X11R6, cleanup

* Wed Jul 26 2006 Elan Ruusamäe <glen@pld-linux.org> afac0cf
- unify sourceforge url

* Fri Feb 25 2005 Greg Jaskiewicz <gryzman@gmail.com> db41fe6
- stdlib.h is required for getenv() to be declared, and work propertly.
- This fixes crash on amd64.
- time.h is system include, hence usage of narrow brackets seems to be better.

* Sat Jul 03 2004 havner <havner@pld-linux.org> 7c07977
- applnk -> vfolders

